Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponPack.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponPack.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponPack.cc	(revision 2908)
@@ -63,4 +63,5 @@
         for (int i=0; i < (int) this->weapons_.size(); i++)
         {
+//COUT(0) << "WeaponPack::fire (attached from WeaponSet)  from Weapon: "<< i << std::endl;
             this->weapons_[i]->getAttachedToWeaponSlot()->fire();
         }
@@ -82,4 +83,5 @@
     void WeaponPack::setFireMode(unsigned int firemode)
     {
+//COUT(0) << "WeaponPack::setFireMode " << std::endl;
         this->firemode_ = firemode;
     }
@@ -92,4 +94,5 @@
     void WeaponPack::addWeapon(Weapon * weapon)
     {
+//COUT(0) << "WeaponPack::addWeapon:" << weapon << "   munition " << weapon->getMunitionType() << std::endl;
         this->weapons_.push_back(weapon);
     }
@@ -114,4 +117,5 @@
         {
             this->weapons_[i]->attachNeededMunition(weapons_[i]->getMunitionType());
+            //hack!
             this->weapons_[i]->setWeapon();
         }
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponPack.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponPack.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponPack.h	(revision 2908)
@@ -59,5 +59,4 @@
             const Weapon * getWeapon(unsigned int index);
 
-            //functions with effect to all weapons of the weaponPack
             //functions needed for creating Pointer to the right objects (-->Pawn.cc)
             void setParentWeaponSystemToAllWeapons(WeaponSystem * weaponSystem);
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSet.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSet.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSet.cc	(revision 2908)
@@ -56,17 +56,20 @@
     void WeaponSet::attachWeaponPack(WeaponPack *wPack)
     {
+//COUT(0) << "WeaponSet::attachWeaponPack" << std::endl;
+//COUT(0) << "........ parentWeaponSystem_=" << this->parentWeaponSystem_ << std::endl;
+//COUT(0) << "........ this->parentWeaponSystem_->getWeaponSlotSize()" << this->parentWeaponSystem_->getWeaponSlotSize() << std::endl;
+//COUT(0) << "........ wPack->getSize()" << wPack->getSize() << std::endl;
         if ( this->parentWeaponSystem_->getWeaponSlotSize()>0 && wPack->getSize()>0 && ( wPack->getSize() <= this->parentWeaponSystem_->getWeaponSlotSize() ) )
         {
+//COUT(0) << "WeaponSet::attachWeaponPack after if" << std::endl;
             this->attachedWeaponPack_ = wPack;
             int wPackWeapon = 0;    //WeaponCounter for Attaching
-           
             //should be possible to choose which slot to use
-            //attach every weapon of the weaponPack to a weaponSlot
             for (  int i=0; i < wPack->getSize() ; i++  )
             {
                 //at the moment this function only works for one weaponPack in the entire WeaponSystem...
-                //it also takes the first free weaponSlot...
                 if ( this->parentWeaponSystem_->getWeaponSlotPointer(i)->getAttachedWeapon() == 0 && this->parentWeaponSystem_->getWeaponSlotPointer(i) != 0) //if slot not full
                 {
+//COUT(0) << "WeaponSet::attachWeaponPack attaching Weapon" << std::endl;
                     this->setWeaponSlots_.push_back( this->parentWeaponSystem_->getWeaponSlotPointer(i) );
                     this->parentWeaponSystem_->getWeaponSlotPointer(i)->attachWeapon( wPack->getWeaponPointer(wPackWeapon) );
@@ -80,4 +83,5 @@
                         if ( this->parentWeaponSystem_->getWeaponSlotPointer(k)->getAttachedWeapon() == 0 )
                         {
+//COUT(0) << "WeaponSet::attachWeaponPack mode 2 k="<< k << std::endl;
                             this->setWeaponSlots_.push_back( this->parentWeaponSystem_->getWeaponSlotPointer(k) );
                             this->parentWeaponSystem_->getWeaponSlotPointer(k)->attachWeapon( wPack->getWeaponPointer(wPackWeapon) );
@@ -95,4 +99,5 @@
     {
         //fires all WeaponSlots available for this weaponSet attached from the WeaponPack
+//COUT(0) << "WeaponSet::fire from Pack: " << this->attachedWeaponPack_ << std::endl;
         if (this->attachedWeaponPack_)
             this->attachedWeaponPack_->fire();
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSystem.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSystem.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSystem.cc	(revision 2908)
@@ -38,7 +38,8 @@
 
 
-/* WeaponSystem
+/* WEAPONSYSTEM
+ * creates the WeaponSystem and the ability to use weapons and munition
+ * loads the weapon the whole weaponSystem setting from an xml file
  *
- *  www.orxonox.net/wiki/WeaponSystem
  */
 
@@ -51,4 +52,5 @@
         RegisterObject(WeaponSystem);
 
+        this->activeWeaponSet_ = 0;
         this->parentPawn_ = 0;
     }
@@ -82,8 +84,8 @@
     }
 
-
-    //returns the Pointer to the munitionType, if this munitionType doesn't exist returns 0, see Weapon::attachNeededMunition
+    //returns the Pointer to the munitionType
     Munition * WeaponSystem::getMunitionType(std::string munitionType)
     {
+//COUT(0) << "WeaponSystem::getMunitionType " << munitionType << std::endl;
         std::map<std::string, Munition *>::const_iterator it = this->munitionSet_.find(munitionType);
         if (it != this->munitionSet_.end())
@@ -94,7 +96,18 @@
 
 
+/*
+    //the first weaponSet is at n=0
+    void WeaponSystem::setActiveWeaponSet(unsigned int n)
+    {
+        if (n < this->weaponSets_.size())
+            this->activeWeaponSet_ = this->weaponSets_[n];
+        else
+            this->activeWeaponSet_ = this->weaponSets_[0];
+    }
+*/
+
+
     //n is the n'th weaponSet, starting with zero
-    //SpaceShip.cc only needs to have the keybinding to a specific Set-number n (=firemode)
-    //in future this could be well defined and not only for 3 different WeaponModes
+    //SpaceShip.cc only needs to have the keybinding to a specific Set-number n
     void WeaponSystem::fire(WeaponMode::Enum n)
     {
@@ -112,5 +125,7 @@
                 break;
         }
+//COUT(0) << "WeaponSystem::fire" << std::endl;
         if (set < (int)this->weaponSets_.size())
+//COUT(0) << "WeaponSystem::fire - after if" << std::endl;
             this->weaponSets_[set]->fire();
     }
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSystem.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSystem.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/WeaponSystem.h	(revision 2908)
@@ -53,4 +53,5 @@
             //void fire();
             void fire(WeaponMode::Enum fireMode);
+            //void setActiveWeaponSet(unsigned int n);
             void attachWeaponPack(WeaponPack * wPack, unsigned int firemode);
             WeaponSet * getWeaponSetPointer(unsigned int n);
@@ -58,5 +59,4 @@
             WeaponPack * getWeaponPackPointer(unsigned int n);
             void setNewMunition(std::string munitionType, Munition * munitionToAdd);
-            void setNewSharedMunition(std::string munitionType, Munition * munitionToAdd);
             Munition * getMunitionType(std::string munitionType);
 
@@ -74,4 +74,5 @@
             std::vector<WeaponPack *> weaponPacks_;
             std::map<std::string, Munition *> munitionSet_;
+            WeaponSet *activeWeaponSet_;
             Pawn *parentPawn_;
     };
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt	(revision 2908)
@@ -1,4 +1,3 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   LaserGunMunition.cc
-  FusionMunition.cc
 )
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/munitions/LaserGunMunition.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/munitions/LaserGunMunition.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/munitions/LaserGunMunition.cc	(revision 2908)
@@ -43,5 +43,4 @@
         RegisterObject(LaserGunMunition);
 
-        //default if not defined in XML
         this->maxBullets_ = 40;
         this->maxMagazines_ = 100;
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/BillboardProjectile.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/BillboardProjectile.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/BillboardProjectile.cc	(revision 2908)
@@ -32,5 +32,5 @@
 #include <OgreBillboardSet.h>
 
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "objects/Scene.h"
@@ -44,5 +44,5 @@
         RegisterObject(BillboardProjectile);
 
-        if (GameMode::showsGraphics())
+        if (Core::showsGraphics())
         {
             assert(this->getScene()->getSceneManager()); // getScene() was already checked by WorldEntity
@@ -56,5 +56,5 @@
     BillboardProjectile::~BillboardProjectile()
     {
-        if (this->isInitialized() && GameMode::showsGraphics() && this->billboard_.getBillboardSet())
+        if (this->isInitialized() && Core::showsGraphics() && this->billboard_.getBillboardSet())
             this->detachOgreObject(this->billboard_.getBillboardSet());
     }
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/ParticleProjectile.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/ParticleProjectile.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/ParticleProjectile.cc	(revision 2908)
@@ -33,5 +33,5 @@
 #include <OgreParticleEmitter.h>
 
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
@@ -46,5 +46,5 @@
         RegisterObject(ParticleProjectile);
 
-        if (GameMode::showsGraphics())
+        if (Core::showsGraphics())
         {
             this->particles_ = new ParticleInterface(this->getScene()->getSceneManager(), "Orxonox/shot3_small", LODParticle::normal);
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/Projectile.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/Projectile.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/projectiles/Projectile.cc	(revision 2908)
@@ -41,5 +41,5 @@
 #include "objects/worldentities/ParticleSpawner.h"
 #include "objects/collisionshapes/SphereCollisionShape.h"
-#include "core/GameMode.h"
+#include "core/Core.h"
 
 namespace orxonox
@@ -55,5 +55,5 @@
         // Get notification about collisions
 
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             this->enableCollisionCallback();
@@ -93,5 +93,5 @@
     void Projectile::destroyObject()
     {
-        if (GameMode::isMaster())
+        if (Core::isMaster())
             delete this;
     }
@@ -99,5 +99,5 @@
     bool Projectile::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        if (!this->bDestroy_ && GameMode::isMaster())
+        if (!this->bDestroy_ && Core::isMaster())
         {
             this->bDestroy_ = true;
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/weapons/LaserGun.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/weapons/LaserGun.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/weapons/LaserGun.cc	(revision 2908)
@@ -53,17 +53,9 @@
     }
 
-    void LaserGun::reloadBullet()
-    {
-        this->bulletTimer(this->bulletLoadingTime_);
-    }
-
-    void LaserGun::reloadMagazine()
-    {
-        this->magazineTimer(this->magazineLoadingTime_);
-    }
-
     void LaserGun::takeBullets()
     {
+//COUT(0) << "LaserGun::takeBullets" << std::endl;
         this->munition_->removeBullets(1);
+        this->bulletTimer(this->bulletLoadingTime_);
     }
 
@@ -71,8 +63,10 @@
     {
         this->munition_->removeMagazines(1);
+        this->magazineTimer(this->magazineLoadingTime_);
     }
 
     void LaserGun::createProjectile()
     {
+//COUT(0) << "LaserGun::createProjectile" << std::endl;
         BillboardProjectile* projectile = new ParticleProjectile(this);
         projectile->setOrientation(this->getWorldOrientation());
Index: code/branches/questsystem5/src/orxonox/objects/weaponSystem/weapons/LaserGun.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/weaponSystem/weapons/LaserGun.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/weaponSystem/weapons/LaserGun.h	(revision 2908)
@@ -51,6 +51,4 @@
             virtual void takeMagazines();
             virtual void createProjectile();
-            virtual void reloadBullet();
-            virtual void reloadMagazine();
 
         private:
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/Backlight.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/Backlight.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/Backlight.cc	(revision 2908)
@@ -33,5 +33,5 @@
 #include <OgreSceneManager.h>
 
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
@@ -58,5 +58,5 @@
         this->tickcount_ = 0;
 
-        if (GameMode::showsGraphics())
+        if (Core::showsGraphics())
         {
             if (!this->getScene())
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/Backlight.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/Backlight.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/Backlight.h	(revision 2908)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 #include "FadingBillboard.h"
-#include "tools/TimeFactorListener.h"
+#include "gamestates/GSRoot.h"
 
 namespace orxonox
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/Billboard.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/Billboard.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/Billboard.cc	(revision 2908)
@@ -34,5 +34,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "objects/Scene.h"
 
@@ -81,5 +81,5 @@
         if (!this->billboard_.getBillboardSet())
         {
-            if (this->getScene() && GameMode::showsGraphics())
+            if (this->getScene() && Core::showsGraphics())
             {
                 this->billboard_.setBillboardSet(this->getScene()->getSceneManager(), this->material_, this->colour_, 1);
@@ -98,5 +98,5 @@
         {
 /*
-            if (this->getScene() && GameMode::showsGraphics() && (this->material_ != ""))
+            if (this->getScene() && Core::showsGraphics() && (this->material_ != ""))
             {
                 this->billboard_.setBillboardSet(this->getScene()->getSceneManager(), this->material_, this->colour_, 1);
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/Billboard.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/Billboard.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/Billboard.h	(revision 2908)
@@ -34,9 +34,8 @@
 #include "util/Math.h"
 #include "tools/BillboardSet.h"
-#include "objects/Teamcolourable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Billboard : public StaticEntity, public Teamcolourable
+    class _OrxonoxExport Billboard : public StaticEntity
     {
         public:
@@ -62,7 +61,4 @@
                 { return this->colour_; }
 
-            virtual void setTeamColour(const ColourValue& colour)
-                { this->setColour(colour); }
-
         protected:
             inline BillboardSet& getBillboardSet()
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/BlinkingBillboard.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 2908)
@@ -30,5 +30,5 @@
 #include "BlinkingBillboard.h"
 
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -77,5 +77,5 @@
         SUPER(BlinkingBillboard, tick, dt);
 
-        if (GameMode::isMaster() && this->isActive())
+        if (Core::isMaster() && this->isActive())
         {
             this->time_ += dt;
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/CMakeLists.txt
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/CMakeLists.txt	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/CMakeLists.txt	(revision 2908)
@@ -19,8 +19,4 @@
   Planet.cc
   SpawnPoint.cc
-  TeamSpawnPoint.cc
-  PongCenterpoint.cc
-  PongBall.cc
-  PongBat.cc
 )
 
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/CameraPosition.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/CameraPosition.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/CameraPosition.cc	(revision 2908)
@@ -44,5 +44,4 @@
         this->bDrag_ = false;
         this->bAllowMouseLook_ = false;
-        this->bAbsolute_ = false;
 
         this->setObjectMode(0x0);
@@ -59,5 +58,4 @@
         XMLPortParam(CameraPosition, "drag", setDrag, getDrag, xmlelement, mode).defaultValues(false);
         XMLPortParam(CameraPosition, "mouselook", setAllowMouseLook, getAllowMouseLook, xmlelement, mode).defaultValues(false);
-        XMLPortParam(CameraPosition, "absolute", setIsAbsolute, getIsAbsolute, xmlelement, mode).defaultValues(false);
     }
 
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/CameraPosition.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/CameraPosition.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/CameraPosition.h	(revision 2908)
@@ -54,9 +54,4 @@
                 { return this->bAllowMouseLook_; }
 
-            inline void setIsAbsolute(bool bAbsolute)
-                { this->bAbsolute_ = bAbsolute; }
-            inline bool getIsAbsolute() const
-                { return this->bAbsolute_; }
-
             void attachCamera(Camera* camera);
 
@@ -64,5 +59,4 @@
             bool bDrag_;
             bool bAllowMouseLook_;
-            bool bAbsolute_;
     };
 }
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2908)
@@ -34,5 +34,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/XMLPort.h"
 #include "core/Template.h"
@@ -144,17 +144,8 @@
     void ControllableEntity::addCameraPosition(CameraPosition* position)
     {
-        if (!position->getIsAbsolute())
-        {
-            if (position->getAllowMouseLook())
-                position->attachToNode(this->cameraPositionRootNode_);
-            else
-                this->attach(position);
-        }
+        if (position->getAllowMouseLook())
+            position->attachToNode(this->cameraPositionRootNode_);
         else
-        {
-            WorldEntity* parent = this->getParent();
-            if (parent)
-                parent->attach(position);
-        }
+            this->attach(position);
         this->cameraPositions_.push_back(position);
     }
@@ -245,5 +236,5 @@
             this->startLocalHumanControl();
 
-            if (!GameMode::isMaster())
+            if (!Core::isMaster())
             {
                 this->client_overwrite_ = this->server_overwrite_;
@@ -251,6 +242,4 @@
             }
         }
-
-        this->changedPlayer();
     }
 
@@ -265,6 +254,4 @@
         this->bHasHumanController_ = false;
         this->setObjectMode(objectDirection::toclient);
-
-        this->changedPlayer();
 
         if (this->bDestroyWhenPlayerLeft_)
@@ -335,17 +322,4 @@
     }
 
-    void ControllableEntity::parentChanged()
-    {
-        WorldEntity::parentChanged();
-
-        WorldEntity* parent = this->getParent();
-        if (parent)
-        {
-            for (std::list<CameraPosition*>::iterator it = this->cameraPositions_.begin(); it != this->cameraPositions_.end(); ++it)
-                if ((*it)->getIsAbsolute())
-                    parent->attach((*it));
-        }
-    }
-
     void ControllableEntity::tick(float dt)
     {
@@ -357,5 +331,5 @@
             if (!this->isDynamic())
             {
-                if (GameMode::isMaster())
+                if (Core::isMaster())
                 {
                     this->server_position_ = this->getPosition();
@@ -472,5 +446,5 @@
     void ControllableEntity::setPosition(const Vector3& position)
     {
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             MobileEntity::setPosition(position);
@@ -487,5 +461,5 @@
     void ControllableEntity::setOrientation(const Quaternion& orientation)
     {
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             MobileEntity::setOrientation(orientation);
@@ -502,5 +476,5 @@
     void ControllableEntity::setVelocity(const Vector3& velocity)
     {
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             MobileEntity::setVelocity(velocity);
@@ -517,5 +491,5 @@
     void ControllableEntity::setAngularVelocity(const Vector3& velocity)
     {
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             MobileEntity::setAngularVelocity(velocity);
@@ -533,5 +507,5 @@
     {
         MobileEntity::setWorldTransform(worldTrans);
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             this->server_position_ = this->getPosition();
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/ControllableEntity.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/ControllableEntity.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/ControllableEntity.h	(revision 2908)
@@ -49,5 +49,4 @@
 
             virtual void changedGametype();
-            virtual void changedPlayer() {}
 
             virtual void setPlayer(PlayerInfo* player);
@@ -137,5 +136,4 @@
             virtual void startLocalHumanControl();
             virtual void stopLocalHumanControl();
-            virtual void parentChanged();
 
             inline void setHudTemplate(const std::string& name)
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/ExplosionChunk.cc	(revision 2908)
@@ -32,5 +32,5 @@
 #include <OgreParticleSystem.h>
 
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
@@ -47,5 +47,5 @@
         RegisterObject(ExplosionChunk);
 
-        if ( GameMode::showsGraphics() && ( !this->getScene() || !this->getScene()->getSceneManager() ) )
+        if ( Core::showsGraphics() && ( !this->getScene() || !this->getScene()->getSceneManager() ) )
             ThrowException(AbortLoading, "Can't create ExplosionChunk, no scene or no scene manager given.");
 
@@ -53,5 +53,5 @@
         this->LOD_ = LODParticle::normal;
 
-        if ( GameMode::showsGraphics() )
+        if ( Core::showsGraphics() )
         {
             try
@@ -75,5 +75,5 @@
         }
 
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             Vector3 velocity(rnd(-1, 1), rnd(-1, 1), rnd(-1, 1));
@@ -132,5 +132,5 @@
             this->smoke_->setEnabled(false);
 
-        if (GameMode::isMaster())
+        if (Core::isMaster())
         {
             this->bStop_ = true;
@@ -148,5 +148,5 @@
         static const unsigned int CHANGES_PER_SECOND = 5;
 
-        if (GameMode::isMaster() && rnd() < dt*CHANGES_PER_SECOND)
+        if (Core::isMaster() && rnd() < dt*CHANGES_PER_SECOND)
         {
             float length = this->getVelocity().length();
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/Light.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/Light.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/Light.cc	(revision 2908)
@@ -37,5 +37,5 @@
 #include "util/String.h"
 #include "util/Exception.h"
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -57,5 +57,5 @@
         this->spotlightRange_ = Vector3(40.0f, 30.0f, 1.0f);
 
-        if (GameMode::showsGraphics())
+        if (Core::showsGraphics())
         {
             if (!this->getScene())
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/Light.h
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/Light.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/Light.h	(revision 2908)
@@ -37,9 +37,8 @@
 
 #include "util/Math.h"
-#include "objects/Teamcolourable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Light : public StaticEntity, public Teamcolourable
+    class _OrxonoxExport Light : public StaticEntity
     {
         public:
@@ -69,7 +68,4 @@
             inline const ColourValue& getSpecularColour() const
                 { return this->specular_; }
-
-            virtual void setTeamColour(const ColourValue& colour)
-                { this->setDiffuseColour(colour); this->setSpecularColour(colour); }
 
             /**
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/MobileEntity.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 2908)
@@ -182,6 +182,5 @@
         // We use a dynamic body. So we translate our node accordingly.
         this->node_->setPosition(Vector3(worldTrans.getOrigin().x(), worldTrans.getOrigin().y(), worldTrans.getOrigin().z()));
-        btQuaternion temp(worldTrans.getRotation());
-        this->node_->setOrientation(Quaternion(temp.w(), temp.x(), temp.y(), temp.z()));
+        this->node_->setOrientation(Quaternion(worldTrans.getRotation().w(), worldTrans.getRotation().x(), worldTrans.getRotation().y(), worldTrans.getRotation().z()));
         this->linearVelocity_.x = this->physicalBody_->getLinearVelocity().x();
         this->linearVelocity_.y = this->physicalBody_->getLinearVelocity().y();
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/Model.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/Model.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/Model.cc	(revision 2908)
@@ -31,5 +31,4 @@
 #include <OgreEntity.h>
 #include "Model.h"
-#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -71,5 +70,5 @@
     void Model::changedMesh()
     {
-        if (GameMode::showsGraphics())
+        if (Core::showsGraphics())
         {
             if (this->mesh_.getEntity())
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/MovableEntity.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2908)
@@ -34,5 +34,5 @@
 #include "core/XMLPort.h"
 #include "core/Executor.h"
-#include "core/GameMode.h"
+#include "core/Core.h"
 
 namespace orxonox
@@ -89,5 +89,5 @@
     void MovableEntity::resynchronize()
     {
-        if (GameMode::isMaster() && !this->continuousResynchroTimer_)
+        if (Core::isMaster() && !this->continuousResynchroTimer_)
         {
             // Resynchronise every few seconds because we only work with velocities (no positions)
Index: code/branches/questsystem5/src/orxonox/objects/worldentities/ParticleEmitter.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2908)
@@ -39,5 +39,4 @@
 #include "tools/ParticleInterface.h"
 #include "util/Exception.h"
-#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -52,5 +51,5 @@
         RegisterObject(ParticleEmitter);
 
-        if (GameMode::showsGraphics() && (!this->getScene() || !this->getScene()->getSceneManager()))
+        if (Core::showsGraphics() && (!this->getScene() || !this->getScene()->getSceneManager()))
             ThrowException(AbortLoading, "Can't create ParticleEmitter, no scene or no scene manager given.");
 
@@ -108,5 +107,5 @@
         }
 
-        if (GameMode::showsGraphics() && this->getScene() && this->getScene()->getSceneManager())
+        if (Core::showsGraphics() && this->getScene() && this->getScene()->getSceneManager())
         {
             try
